#include <QApplication>
#include <QWidget>
#include <QtGui>
#include <QFont>

class MyWidget : public QWidget {
public:
  MyWidget(QWidget *parent = NULL) : QWidget(parent) {
   // setFixedSize(100, 100);
  }

protected:
  void paintEvent(QPaintEvent *) {

    int id = QFontDatabase::addApplicationFont(":/risorse/mscore_kern_GPOS.ttf");
    QString family = QFontDatabase::applicationFontFamilies(id).at(0);
    QFont f(family);

    f.setKerning(false);
    f.setHintingPreference(QFont::PreferVerticalHinting);
    f.setPixelSize(50);

    QPainterPath path;
    path.addText(50, 80, f, "ff fp fz mf mp pf pp pr rf rp rz sf sr zp");

    QPainter painter(this);
    painter.setFont(f);
    painter.setBrush(Qt::NoBrush);
    painter.setPen(Qt::SolidLine);
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setRenderHint(QPainter::TextAntialiasing, true);
    painter.drawText(50, 80, "ff fp fz mf mp pf pp pr rf rp rz sf sr zp");

    f.setKerning(true);
    painter.setFont(f);
    painter.setBrush(Qt::NoBrush);
    painter.setPen(Qt::SolidLine);
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setRenderHint(QPainter::TextAntialiasing, true);
    painter.drawText(50, 200, "ff fp fz mf mp pf pp pr rf rp rz sf sr zp");
  }
};

int main(int argc, char **argv) {
  QApplication app(argc, argv);
  MyWidget w;
  w.show();
  return app.exec();
}
